Next: ADJUSTL, Previous: ACOSD, Up: Intrinsic Procedures [Contents][Index]

### 9.8 `ACOSH` — Inverse hyperbolic cosine function

Description:

  `ACOSH(X)` computes the inverse hyperbolic cosine of X.

Standard:

  Fortran 2008 and later

Class:

  Elemental function

Syntax:

  `RESULT = ACOSH(X)`

Arguments:

  X | The type shall be `REAL` or `COMPLEX`.

Return value:

  The return value has the same type and kind as X. If X is complex, the imaginary part of the result is in radians and lies between 0 \leq \Im \acosh(x) \leq \pi.

Example:

      PROGRAM test_acosh
        REAL(8), DIMENSION(3) :: x = (/ 1.0, 2.0, 3.0 /)
        WRITE (*,*) ACOSH(x)
      END PROGRAM

Specific names:

  Name | Argument | Return type | Standard
  `DACOSH(X)` | `REAL(8) X` | `REAL(8)` | GNU extension

See also:

  Inverse function: COSH